### Method

# Ide Runtime create_launcher

#### Declaration

    IdeSubprocessLauncher*
    ide_runtime_create_launcher (
      IdeRuntime* self
      GError** error
    )

#### Description

Creates a launcher for the runtime.

This can be used to execute a command within a runtime.

It is important that this function can be run from a thread without side effects.

Available since: | 3.32

#### Return value

Returns: | `IdeSubprocessLauncher`
| An `IdeSubprocessLauncher` or `NULL` upon failure.
| The caller of the method takes ownership of the data, and is responsible for freeing it.